Subject: Re: [bug#54239] [PATCH v2 2/5] gnu: Add cross-clang.

From: Julien Lepiller <[email-masked]>
Date: Sat, 5 Mar 2022 09:30:10 +0100

Le Fri, 04 Mar 2022 20:54:22 +0100,
Maxime Devos <[email-masked]> a écrit :

> Julien Lepiller schreef op vr 04-03-2022 om 10:59 [+0100]:
> > +                         `((substitute* "lib/Driver/Tools.cpp"
> > +                             ;; Patch the 'getLinuxDynamicLinker'
> > function so that
> > +                             ;; it uses the right dynamic linker
> > file name.
> > +                             (("/lib64/ld-linux-x86-64.so.2")
> > +                              (string-append libc
> > ,(glibc-dynamic-linker))))  
> 
> Do we need something similar for non-x86-64 architectures as well?
> 
> Greetings,
> Maxime.

I don't know about that. This phase is mostly copied from clang itself.